Working with different Homebank versions at the time

Asked by Gabriel Pardave on 2021-02-17

I have already thre Linux Desktops and I use Homebank file to work in different sessions but using the same file.

Ubuntu 19.04 is working with HomeBank 5.4 OK
Ubuntu 18.04 32B was working with od Homebank version but was update from the same application option and now is working OK
Elementary OS 5.1 is Working with Homebank 5.1 version, but I did not find the Actualization option on the application and I can not open my File because the version.

I tried to update Homebank in elemntary OS but no chance to do it. Do you have any suggestion for it.

Thanks in advance.

Gabriel from Mexico

Question information

Language:
English Edit question
Status:
Solved
For:
HomeBank Edit question
Assignee:
No assignee Edit question
Solved by:
Stan
Solved:
Last query:
Last reply:
Best Stan (stanvan) said : #1

Major HomeBank revisions may not be backward compatible... meaning when you open your file in a newer version, it may not work any longer with older versions of HomeBank. This is by design. The current version of HomeBank is 5.5, just released recently, and it was a major revision.

Your Ubuntu 18.04 is a Long Term Support (LTS) release, and it will be good for 2 more years (April 2023). But your Ubuntu 19.04 is not LTS, and it reached End-Of-Life over a year ago. It cannot get any more updates. I would recommend replacing 19.04 with either 18.04 or 20.04 (good until April 2025). With both Ubuntu systems up-to-date, you can use the HomeBank installation instructions to add a PPA so that you get the newest version, 5.5. The instructions are at: http://homebank.free.fr/en/downloads.php

I find on Google that Elementary OS is Ubuntu-based, but it does not enable PPA use by default. But if you will enable PPA, you can follow the instructions above and get Elementary on HomeBank 5.5 also. The instructions I found to enable PPA on Elementary are:

sudo apt update
sudo apt install software-properties-common

These instructions came from here: https://learns7.com/post/things-to-do-after-installing-elementary-os/ and I cannot verify that they are correct, but they do refer to your version, Elementary OS 5.1 Hera.

I hope that this will get you going so you can use HomeBank 5.5 on all three of your Linux boxes. Good luck.

Thanks Stan, that solved my question.

Thanks for your support, I am so happy because now I can work in my three distros.

thanks.